Bug 253986 - net-p2p/lidarr: Convert to uses=mono
Summary: net-p2p/lidarr: Convert to uses=mono
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-03 16:38 UTC by Dries Michiels
Modified: 2021-04-17 11:44 UTC (History)
2 users (show)

See Also:
michiel: maintainer-feedback+


Attachments
lidarr.diff (766 bytes, patch)
2021-03-03 16:38 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2021-03-03 16:38:29 UTC
Lets convert the port to uses=mono, this way a different mono version can be used in the future. It also hels if you have your local lang/mono patched to a higher version than the current one. Also sort lib/run deps as reported by portclippy.
Comment 1 Dries Michiels 2021-03-03 16:38:46 UTC
Created attachment 222942 [details]
lidarr.diff

lidarr.diff
Comment 2 Dries Michiels 2021-03-28 09:17:54 UTC
Hi Michiel, is this change fine for you? 
You commented positively on the net-p2p/jackett changes but not on this one, yet.
Comment 3 Michiel van Baak 2021-03-28 13:40:11 UTC
Yes. Sorry this one slipped through. Thanks for the patch!(In reply to Dries Michiels from comment #2)
Comment 4 Dries Michiels 2021-03-28 13:42:24 UTC
Maintainer feedback => + 

=)
Comment 5 Michiel van Baak 2021-03-28 13:43:43 UTC
Couldn't save the form on mobile, had to move to notebook ;P
Comment 6 Dries Michiels 2021-03-28 13:44:25 UTC
I see ;D thanks
Comment 7 commit-hook freebsd_committer 2021-04-17 11:42:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2f4fd599e65da4628186a7a972839f2744fe1fd2

commit 2f4fd599e65da4628186a7a972839f2744fe1fd2
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2021-04-17 11:38:54 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2021-04-17 11:39:23 +0000

    - Convert `net-p2p/lidarr' to USES=mono,sqlite
    - Fix some style and formatting bugs while here

    PR:     253986

 net-p2p/lidarr/Makefile | 19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)
Comment 8 Alexey Dokuchaev freebsd_committer 2021-04-17 11:44:40 UTC
Committed with modifications, thanks.